Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::action::slice_fn Struct Reference

## Synopsis of methods
constexpr action< slice_fn > | slice {}

## Public Member Functions
template<typename Rng , typename I = iterator_t<Rng>>
auto | operator() (Rng &&rng, detail::from_end_< diff_t< Rng >> from, detail::from_end_< diff_t< Rng >> to) const -> Rng requires bidirectional_range< Rng > &&erasable_range< Rng &, I, I >
template<typename Rng , typename I = iterator_t<Rng>>
auto | operator() (Rng &&rng, detail::from_end_< diff_t< Rng >> from, end_fn const &) const -> Rng requires bidirectional_range< Rng > &&erasable_range< Rng &, I, I >
template<typename Rng , typename I = iterator_t<Rng>>
auto | operator() (Rng &&rng, diff_t< Rng > from, detail::from_end_< diff_t< Rng >> to) const -> Rng requires bidirectional_range< Rng > &&erasable_range< Rng &, I, I >
template<typename Rng , typename I = iterator_t<Rng>>
auto | operator() (Rng &&rng, diff_t< Rng > from, diff_t< Rng > to) const -> Rng requires forward_range< Rng > &&erasable_range< Rng &, I, I >
template<typename Rng , typename I = iterator_t<Rng>>
auto | operator() (Rng &&rng, diff_t< Rng > from, end_fn const &) const -> Rng requires forward_range< Rng > &&erasable_range< Rng &, I, I >